These are chat archives for coala/coala-bears

31st
Jan 2017
Chathurika Senani
@zenara
Jan 31 2017 04:18
installing coala-bears gives the following error
"Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-ld7d1vwu/vim-vint/"
:/
I installed coala
Chathurika Senani
@zenara
Jan 31 2017 04:24
but when im gonna install bears this error comes
John Vandenberg
@jayvdb
Jan 31 2017 04:29
@zenara , can you post the full error online somewhere (not here) so we can see it
Chathurika Senani
@zenara
Jan 31 2017 04:29
okayy

chathurika@ubuntu-C50:$ pip3 install coala-bears
Collecting coala-bears
Retrying (Retry(total=4, connect=None, read=None, redirect=None)) after connection broken by 'NewConnectionError('<pip._vendor.requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb1733b3be0>: Failed to establish a new connection: [Errno 101] Network is unreachable',)': /simple/coala-bears/
Downloading coala_bears-0.9.2-py3-none-any.whl (154kB)
100% |████████████████████████████████| 163kB 542kB/s
Collecting guess-language-spirit~=0.5 (from coala-bears)
Downloading guess_language-spirit-0.5.2.tar.bz2 (81kB)
100% |████████████████████████████████| 81kB 693kB/s
Collecting pyyaml~=3.12 (from coala-bears)
Downloading PyYAML-3.12.tar.gz (253kB)
100% |████████████████████████████████| 256kB 570kB/s
Collecting safety~=0.5 (from coala-bears)
Downloading safety-0.5.1-py2.py3-none-any.whl
Collecting radon==1.4.0 (from coala-bears)
Downloading radon-1.4.0-py2.py3-none-any.whl (44kB)
100% |████████████████████████████████| 51kB 735kB/s
Requirement already satisfied: coala~=0.9.1 in /usr/local/lib/python3.4/dist-packages (from coala-bears)
Collecting bandit~=1.2 (from coala-bears)
Downloading bandit-1.4.0-py2.py3-none-any.whl (116kB)
100% |████████████████████████████████| 122kB 409kB/s
Collecting yamllint~=1.5 (from coala-bears)
Downloading yamllint-1.6.0-py2.py3-none-any.whl
Collecting requests~=2.12 (from coala-bears)
Downloading requests-2.13.0-py2.py3-none-any.whl (584kB)
100% |████████████████████████████████| 593kB 672kB/s
Collecting isort~=4.2 (from coala-bears)
Downloading isort-4.2.5-py2.py3-none-any.whl (40kB)
100% |████████████████████████████████| 40kB 462kB/s
Collecting restructuredtext-lint~=0.17 (from coala-bears)
Downloading restructuredtext_lint-0.17.2.zip
Collecting munkres3~=1.0 (from coala-bears)
Downloading munkres3-1.0.5.5.tar.gz
Collecting cmakelint~=1.3 (from coala-bears)
Downloading cmakelint-1.3.4.1.tar.gz
Collecting pydocstyle~=1.1 (from coala-bears)
Downloading pydocstyle-1.1.1-py2.py3-none-any.whl (40kB)
100% |████████████████████████████████| 40kB 261kB/s
Collecting cpplint~=1.3 (from coala-bears)
Downloading cpplint-1.3.0.tar.gz (71kB)
100% |████████████████████████████████| 81kB 342kB/s
Collecting rstcheck~=2.2 (from coala-bears)
Downloading rstcheck-2.2.tar.gz
Collecting html-linter~=0.3 (from coala-bears)
Downloading html-linter-0.3.0.tar.gz
Collecting cppclean~=0.12 (from coala-bears)
Downloading cppclean-0.12.tar.gz
Collecting vulture~=0.10 (from coala-bears)
Downloading vulture-0.12.tar.gz
Collecting scspell3k~=2.0 (from coala-bears)
Downloading scspell3k-2.1.tar.gz (272kB)
100% |████████████████████████████████| 276kB 719kB/s
Requirement already satisfied: libclang-py3==0.2 in /usr/local/lib/python3.4/dist-packages (from coala-bears)
Collecting nbformat>=4.1 (from coala-bears)
Downloading nbformat-4.2.0-py2.py3-none-any.whl (153kB)
100% |████████████████████████████████| 153kB 618kB/s
Collecting proselint~=0.7 (from coala-bears)
Downloading proselint-0.7.0.tar.gz (78kB)
100% |████████████████████████████████| 81kB 701kB/s
Collecting eradicate~=0.1 (from coala-bears)
Downloading eradicate-0.1.6.tar.gz
Collecting nltk~=3.2 (from coala-bears)
Downloading nltk-3.2.2.tar.gz (1.2MB)
100% |████████████████████████████████| 1.2MB 551kB/s
Collecting yapf~=0.14 (from coala-bears)
Downloading yapf-0.15.2-py2.py3-none-any.whl (144kB)
100% |████████████████████████████████| 153kB 461kB/s
Collecting vim-vint~=0.3 (from coala-bears)
Downloading vim-vint-0.3.11.tar.gz (61kB)
100% |████████████████████████████████| 71kB 736kB/s
Complete output from command python setup.py egg_info:
error in vim-vint setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers

----------------------------------------

Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-ld7d1vwu/vim-vint/

sorry for the ignorance. this is error i got
John Vandenberg
@jayvdb
Jan 31 2017 04:34
ugh. please do not post large chunks of text here in gitter
use a website like http://dpaste.de/ ;-)
Soumya Kundu
@soum0
Jan 31 2017 04:35
use gist instead for posting code snippets
Chathurika Senani
@zenara
Jan 31 2017 04:36
ahh sorry again :worried:
John Vandenberg
@jayvdb
Jan 31 2017 04:37
@zenara , can you please run python3 -c "import setuptools; print(setuptools.__version__)" and tell us the output
Chathurika Senani
@zenara
Jan 31 2017 04:38
3.3
John Vandenberg
@jayvdb
Jan 31 2017 04:38
wow. that is really old
pip3 install -U setuptools
are you using osx, windows, or linux?
Chathurika Senani
@zenara
Jan 31 2017 04:39
linux
:smile: okay ill update setup tools
Chathurika Senani
@zenara
Jan 31 2017 04:50
@jayvdb Thanks alot. It worked
euleram
@vijeth-aradhya
Jan 31 2017 07:14
@Adrianzatreanu I was thinking why not shift to docopt like in cib - regarding coala/coala-bears#845
Will it not be much neater that way?
Zatreanu Adrian-Gabriel
@Adrianzatreanu
Jan 31 2017 08:58
@vijeth-aradhya it is a good idea, yes
John Vandenberg
@jayvdb
Jan 31 2017 09:26
@Techievena , wrt to coala/coala-bears#1373 , please set up Appveyor on your own fork, and dont use a PR to test
you are currently using up CI time on Travis and Circle by doing many builds consecutively.
Abinash Senapati
@Techievena
Jan 31 2017 09:28
Sorry @jayvd I'll do that didn't know it'll affect others
John Vandenberg
@jayvdb
Jan 31 2017 09:29
and use my username correctly :/
Zatreanu Adrian-Gabriel
@Adrianzatreanu
Jan 31 2017 09:59
@vijeth-aradhya ill try to review or stuff tomorrow or so, got some huge exam tomorrow noon and dont really have extra time, sorry
euleram
@vijeth-aradhya
Jan 31 2017 10:22
@jayvdb Isn't CabalRequirement used in GhcMod? Regarding coala/coala-bears#1357
John Vandenberg
@jayvdb
Jan 31 2017 10:28
;-) fixed
I mass created that issue for the three linters written in haskell
John Vandenberg
@jayvdb
Jan 31 2017 11:05
@vijeth-aradhya coala/docker-coala-base#90 is ready for review
euleram
@vijeth-aradhya
Jan 31 2017 11:49
@jayvdb the PR looks fine, but really wanted GhcMod in the next release :/
I'll try and work on the docker when I have time :+1:
John Vandenberg
@jayvdb
Jan 31 2017 12:01
(if my patch is approved...) it is in the coala release, but not in the docker image, and the '0.10' docker can be improved after the coala 0.10 release.
euleram
@vijeth-aradhya
Jan 31 2017 12:15
Ok! :smiley:
Abinash Senapati
@Techievena
Jan 31 2017 16:32

@jayvdb & @Makman2 updates regarding coala/coala-bears#1364 got reply from the Apertium guys they have sent a signature.asc file and Jaipal Singh has also replied today

Hey Abhinash,

I'm travelling right now and won't be able to do justice in inspecting this merge >request. Give me two days and I shall get back to you regarding the same.

Regards,
Jaipal

And sorry @jayvdb for using wrong username I was in hurry then, had to catch a train therefore typo error occured in haste.
John Vandenberg
@jayvdb
Jan 31 2017 22:32
cobot file issue coala-bears RLintBear: Add Requirement for R version
lintR is only available on R >= v3.1.1
i.e. not available for Ubuntu precise & trusty, which is R v3.0.2. see error at https://travis-ci.org/jayvdb/coala-bears/jobs/196971135#L3630
Xenial is the first acceptable Ubuntu.
While rstudio's package for lintr does include min R version, that info is not accessible.
The bear should have a Requirement which records this information so it appears in the bear-docs.
difficulty/low
coala-bot
@coala-bot
Jan 31 2017 22:32
Here you go : coala/coala-bears#1379